Redmine Bulk edit doesn't work when extended_field plugin is installed 

2014-11-11 06:24 - Miluka De Silva

Status: Closed Start date:  

Priority: Urgent Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I'm new to to ruby and redmine. When i use extened_fields plugin. in redmine 2.4.6 it gives me this error

ActionView::Template::Error (wrong number of arguments (4 for 3)):

93: <% @custom_fields.each do |custom_field| >

94:   <p>

95:     <label><= h(custom_field.name) ></label>

96:     <= custom_field_tag_for_bulk_edit('issue', custom_field, Projects Projects,

@issue_params[:custom_field_values][custom_field.id.to_s]) >

97:   </p>

98: < end %>

99:

app/views/issues/bulk_edit.html.erb:96:in `block (2 levels) in app_views_issues_bulk_edit_html_erb

__1466857573327355685_70119411110820'

app/views/issues/bulk_edit.html.erb:93:in `block in app_views_issues_bulk_edit_html_erb

__1466857573327355685_70119411110820'

app/views/issues/bulk_edit.html.erb:25:in `_app_views_issues_bulk_edit_html_erb___1466857573327355685_70119411110820'

Can anybody please help me with this issue.

History

#1 - 2014-11-11 06:49 - Miluka De Silva

I used the plugin in this url http://www.redmine.org/plugins/extended_fields.

#2 - 2014-11-11 07:00 - Miluka De Silva

Miluka De Silva wrote:

I'm new to to ruby and redmine. When i use extened_fields plugin. in redmine 2.4.6 it gives me this error

 Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

And my error log shows

ActionView::Template::Error (wrong number of arguments (4 for 3)):

93: <% @custom_fields.each do |custom_field| >

94:   <p>

95:     <label><= h(custom_field.name) ></label>

96:     <= custom_field_tag_for_bulk_edit('issue', custom_field, Projects Projects, @issue_params[:custom_field_values][custom_field.id.to_s]) >

97:   </p>

98: < end %>

99:

app/views/issues/bulk_edit.html.erb:96:in `block (2 levels) in app_views_issues_bulk_edit_html_erb

__1466857573327355685_70119411110820'

app/views/issues/bulk_edit.html.erb:93:in `block in app_views_issues_bulk_edit_html_erb__1466857573327355685_70119411110820'

app/views/issues/bulk_edit.html.erb:25:in `_app_views_issues_bulk_edit_html_erb___1466857573327355685_70119411110820'

Can anybody please help me with this issue.

2025-07-02 1/2

https://www.redmine.org/users/416156
http://www.redmine.org/plugins/extended_fields
https://www.redmine.org/users/416156


#3 - 2014-11-11 08:22 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Please contact plugin author.
